## robotstxt 0.1.2

=== DESCRIPTION ===
Package: robotstxt
Type: Package
Title: A 'robots.txt' Parser and 'Webbot'/'Spider'/'Crawler'
        Permissions Checker
Version: 0.1.2
Authors@R: c(person("Peter", "Meissner", role = c("aut", "cre"),
		     email = "retep.meissner@gmail.com"),
	      person("Oliver", "Keys", role = "ctb"))
Description: Provides a 'Robotstxt' ('R6') class and accompanying methods to
    parse and check 'robots.txt' files. Data fields are provided as
    data frames and vectors. Permissions can be checked by providing
    path character vectors and optional bot names.
License: MIT + file LICENSE
LazyData: TRUE
BugReports: https://github.com/petermeissner/robotstxt/issues
URL: https://github.com/petermeissner/robotstxt
Imports: R6 (>= 2.1.1), stringr (>= 1.0.0), httr (>= 1.0.0)
Suggests: knitr, rmarkdown, dplyr, testthat
Depends: R (>= 3.0.0)
VignetteBuilder: knitr
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-02-07 23:21:42 UTC; peter
Author: Peter Meissner [aut, cre],
  Oliver Keys [ctb]
Maintainer: Peter Meissner <retep.meissner@gmail.com>
Repository: CRAN
Date/Publication: 2016-02-08 13:37:57

## robotstxt 0.3.2

=== DESCRIPTION ===
Package: robotstxt
Date: 2016-04-26
Type: Package
Title: A 'robots.txt' Parser and 'Webbot'/'Spider'/'Crawler'
        Permissions Checker
Version: 0.3.2
Authors@R: c(
        person(
          "Peter", "Meissner", role = c("aut", "cre"),
          email = "retep.meissner@gmail.com"
        ),
	      person("Oliver", "Keys", role = "ctb"),
	      person("Rich", "Fitz John", role = "ctb")
	      )
Description: Provides functions to download and parse 'robots.txt' files.
        Ultimately the package makes it easy to check if bots
        (spiders, scrapers, ...) are allowed to access specific
        resources on a domain.
License: MIT + file LICENSE
LazyData: TRUE
BugReports: https://github.com/ropenscilabs/robotstxt/issues
URL: https://github.com/ropenscilabs/robotstxt
Imports: stringr (>= 1.0.0), httr (>= 1.0.0)
Suggests: knitr, rmarkdown, dplyr, testthat
Depends: R (>= 3.0.0)
VignetteBuilder: knitr
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-12-05 15:11:12 UTC; hornik
Author: Peter Meissner [aut, cre],
  Oliver Keys [ctb],
  Rich Fitz John [ctb]
Maintainer: Peter Meissner <retep.meissner@gmail.com>
Repository: CRAN
Date/Publication: 2016-12-05 18:28:48

## robotstxt 0.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: robotstxt
-Date: 2016-04-26
+Date: 2017-07-15
 Type: Package
 Title: A 'robots.txt' Parser and 'Webbot'/'Spider'/'Crawler'
         Permissions Checker
-Version: 0.3.2
+Version: 0.4.0
 Authors@R: c(
         person(
           "Peter", "Meissner", role = c("aut", "cre"),
@@ -24,12 +24,12 @@
 Suggests: knitr, rmarkdown, dplyr, testthat
 Depends: R (>= 3.0.0)
 VignetteBuilder: knitr
-RoxygenNote: 5.0.1
+RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2016-12-05 15:11:12 UTC; hornik
+Packaged: 2017-07-16 20:19:11 UTC; peter
 Author: Peter Meissner [aut, cre],
   Oliver Keys [ctb],
   Rich Fitz John [ctb]
 Maintainer: Peter Meissner <retep.meissner@gmail.com>
 Repository: CRAN
-Date/Publication: 2016-12-05 18:28:48
+Date/Publication: 2017-07-16 20:24:36 UTC

## robotstxt 0.4.1

=== DESCRIPTION ===
Package: robotstxt
Date: 2017-08-27
Type: Package
Title: A 'robots.txt' Parser and 'Webbot'/'Spider'/'Crawler'
        Permissions Checker
Version: 0.4.1
Authors@R: c(
        person(
          "Peter", "Meissner", role = c("aut", "cre"),
          email = "retep.meissner@gmail.com"
        ),
	      person("Oliver", "Keys", role = "ctb"),
	      person("Rich", "Fitz John", role = "ctb")
	      )
Description: Provides functions to download and parse 'robots.txt' files.
        Ultimately the package makes it easy to check if bots
        (spiders, crawler, scrapers, ...) are allowed to access specific
        resources on a domain.
License: MIT + file LICENSE
LazyData: TRUE
BugReports: https://github.com/ropenscilabs/robotstxt/issues
URL: https://github.com/ropenscilabs/robotstxt
Imports: stringr (>= 1.0.0), httr (>= 1.0.0), magrittr
Suggests: knitr, rmarkdown, dplyr, testthat, covr
Depends: R (>= 3.0.0)
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-09-01 20:32:34 UTC; peter
Author: Peter Meissner [aut, cre],
  Oliver Keys [ctb],
  Rich Fitz John [ctb]
Maintainer: Peter Meissner <retep.meissner@gmail.com>
Repository: CRAN
Date/Publication: 2017-09-01 20:39:34 UTC

## robotstxt 0.5.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: robotstxt
-Date: 2017-08-27
+Date: 2017-11-12
 Type: Package
 Title: A 'robots.txt' Parser and 'Webbot'/'Spider'/'Crawler'
         Permissions Checker
-Version: 0.4.1
+Version: 0.5.2
 Authors@R: c(
         person(
           "Peter", "Meissner", role = c("aut", "cre"),
@@ -20,16 +20,17 @@
 LazyData: TRUE
 BugReports: https://github.com/ropenscilabs/robotstxt/issues
 URL: https://github.com/ropenscilabs/robotstxt
-Imports: stringr (>= 1.0.0), httr (>= 1.0.0), magrittr
+Imports: stringr (>= 1.0.0), httr (>= 1.0.0), spiderbar (>= 0.2.0),
+        future (>= 1.6.2), magrittr, utils
 Suggests: knitr, rmarkdown, dplyr, testthat, covr
 Depends: R (>= 3.0.0)
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2017-09-01 20:32:34 UTC; peter
+Packaged: 2017-11-12 17:41:05 UTC; peter
 Author: Peter Meissner [aut, cre],
   Oliver Keys [ctb],
   Rich Fitz John [ctb]
 Maintainer: Peter Meissner <retep.meissner@gmail.com>
 Repository: CRAN
-Date/Publication: 2017-09-01 20:39:34 UTC
+Date/Publication: 2017-11-12 17:45:33 UTC

## robotstxt 0.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: robotstxt
-Date: 2017-11-12
+Date: 2018-02-10
 Type: Package
 Title: A 'robots.txt' Parser and 'Webbot'/'Spider'/'Crawler'
         Permissions Checker
-Version: 0.5.2
+Version: 0.6.0
 Authors@R: c(
         person(
           "Peter", "Meissner", role = c("aut", "cre"),
@@ -27,10 +27,10 @@
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2017-11-12 17:41:05 UTC; peter
+Packaged: 2018-02-11 12:41:55 UTC; peter
 Author: Peter Meissner [aut, cre],
   Oliver Keys [ctb],
   Rich Fitz John [ctb]
 Maintainer: Peter Meissner <retep.meissner@gmail.com>
 Repository: CRAN
-Date/Publication: 2017-11-12 17:45:33 UTC
+Date/Publication: 2018-02-11 14:19:44 UTC

## robotstxt 0.6.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: robotstxt
-Date: 2018-02-10
+Date: 2018-07-18
 Type: Package
 Title: A 'robots.txt' Parser and 'Webbot'/'Spider'/'Crawler'
         Permissions Checker
-Version: 0.6.0
+Version: 0.6.2
 Authors@R: c(
         person(
           "Peter", "Meissner", role = c("aut", "cre"),
@@ -18,19 +18,19 @@
         resources on a domain.
 License: MIT + file LICENSE
 LazyData: TRUE
-BugReports: https://github.com/ropenscilabs/robotstxt/issues
-URL: https://github.com/ropenscilabs/robotstxt
+BugReports: https://github.com/ropensci/robotstxt/issues
+URL: https://github.com/ropensci/robotstxt
 Imports: stringr (>= 1.0.0), httr (>= 1.0.0), spiderbar (>= 0.2.0),
-        future (>= 1.6.2), magrittr, utils
+        future (>= 1.6.2), future.apply (>= 1.0.0), magrittr, utils
 Suggests: knitr, rmarkdown, dplyr, testthat, covr
 Depends: R (>= 3.0.0)
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2018-02-11 12:41:55 UTC; peter
+Packaged: 2018-07-18 21:00:35 UTC; peter
 Author: Peter Meissner [aut, cre],
   Oliver Keys [ctb],
   Rich Fitz John [ctb]
 Maintainer: Peter Meissner <retep.meissner@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-02-11 14:19:44 UTC
+Date/Publication: 2018-07-18 21:30:03 UTC

## robotstxt 0.7.4

=== DESCRIPTION ===
Package: robotstxt
Date: 2020-05-31
Type: Package
Title: A 'robots.txt' Parser and 'Webbot'/'Spider'/'Crawler'
        Permissions Checker
Version: 0.7.4
Authors@R: c(
        person(
          "Peter", "Meissner", role = c("aut", "cre"),
          email = "retep.meissner@gmail.com"
        ),
        person(
            "Kun", "Ren", email = "mail@renkun.me", role = c("aut", "cph"),
            comment = "Author and copyright holder of list_merge.R."
        ),
	    person("Oliver", "Keys", role = "ctb", comment = "original release code review"),
	    person("Rich", "Fitz John", role = "ctb", comment = "original release code review")
	  )
Description: Provides functions to download and parse 'robots.txt' files.
        Ultimately the package makes it easy to check if bots
        (spiders, crawler, scrapers, ...) are allowed to access specific
        resources on a domain.
License: MIT + file LICENSE
LazyData: TRUE
BugReports: https://github.com/ropensci/robotstxt/issues
URL: https://docs.ropensci.org/robotstxt,
        https://github.com/ropensci/robotstxt
Imports: stringr (>= 1.0.0), httr (>= 1.0.0), spiderbar (>= 0.2.0),
        future (>= 1.6.2), future.apply (>= 1.0.0), magrittr, utils
Suggests: knitr, rmarkdown, dplyr, testthat, covr
Depends: R (>= 3.0.0)
VignetteBuilder: knitr
RoxygenNote: 7.1.0
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2020-05-31 20:26:21 UTC; peter
Author: Peter Meissner [aut, cre],
  Kun Ren [aut, cph] (Author and copyright holder of list_merge.R.),
  Oliver Keys [ctb] (original release code review),
  Rich Fitz John [ctb] (original release code review)
Maintainer: Peter Meissner <retep.meissner@gmail.com>
Repository: CRAN
Date/Publication: 2020-05-31 21:30:10 UTC

## robotstxt 0.7.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: robotstxt
-Date: 2020-05-31
+Date: 2020-06-27
 Type: Package
 Title: A 'robots.txt' Parser and 'Webbot'/'Spider'/'Crawler'
         Permissions Checker
-Version: 0.7.4
+Version: 0.7.7
 Authors@R: c(
         person(
           "Peter", "Meissner", role = c("aut", "cre"),
@@ -33,11 +33,11 @@
 RoxygenNote: 7.1.0
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2020-05-31 20:26:21 UTC; peter
+Packaged: 2020-06-27 05:36:07 UTC; peter.meissner
 Author: Peter Meissner [aut, cre],
   Kun Ren [aut, cph] (Author and copyright holder of list_merge.R.),
   Oliver Keys [ctb] (original release code review),
   Rich Fitz John [ctb] (original release code review)
 Maintainer: Peter Meissner <retep.meissner@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-05-31 21:30:10 UTC
+Date/Publication: 2020-06-27 07:00:02 UTC

## robotstxt 0.7.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: robotstxt
-Date: 2020-06-27
+Date: 2020-07-22
 Type: Package
 Title: A 'robots.txt' Parser and 'Webbot'/'Spider'/'Crawler'
         Permissions Checker
-Version: 0.7.7
+Version: 0.7.8
 Authors@R: c(
         person(
           "Peter", "Meissner", role = c("aut", "cre"),
@@ -33,11 +33,11 @@
 RoxygenNote: 7.1.0
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2020-06-27 05:36:07 UTC; peter.meissner
+Packaged: 2020-07-25 08:07:56 UTC; peter
 Author: Peter Meissner [aut, cre],
   Kun Ren [aut, cph] (Author and copyright holder of list_merge.R.),
   Oliver Keys [ctb] (original release code review),
   Rich Fitz John [ctb] (original release code review)
 Maintainer: Peter Meissner <retep.meissner@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-06-27 07:00:02 UTC
+Date/Publication: 2020-07-25 21:30:08 UTC

## robotstxt 0.7.13

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: robotstxt
-Date: 2020-07-22
+Date: 2020-09-03
 Type: Package
 Title: A 'robots.txt' Parser and 'Webbot'/'Spider'/'Crawler'
         Permissions Checker
-Version: 0.7.8
+Version: 0.7.13
 Authors@R: c(
         person(
           "Peter", "Meissner", role = c("aut", "cre"),
@@ -23,21 +23,21 @@
 License: MIT + file LICENSE
 LazyData: TRUE
 BugReports: https://github.com/ropensci/robotstxt/issues
-URL: https://docs.ropensci.org/robotstxt,
+URL: https://docs.ropensci.org/robotstxt/,
         https://github.com/ropensci/robotstxt
 Imports: stringr (>= 1.0.0), httr (>= 1.0.0), spiderbar (>= 0.2.0),
         future (>= 1.6.2), future.apply (>= 1.0.0), magrittr, utils
 Suggests: knitr, rmarkdown, dplyr, testthat, covr
 Depends: R (>= 3.0.0)
 VignetteBuilder: knitr
-RoxygenNote: 7.1.0
+RoxygenNote: 7.1.1
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2020-07-25 08:07:56 UTC; peter
+Packaged: 2020-09-03 19:07:34 UTC; peter
 Author: Peter Meissner [aut, cre],
   Kun Ren [aut, cph] (Author and copyright holder of list_merge.R.),
   Oliver Keys [ctb] (original release code review),
   Rich Fitz John [ctb] (original release code review)
 Maintainer: Peter Meissner <retep.meissner@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-07-25 21:30:08 UTC
+Date/Publication: 2020-09-03 19:30:02 UTC

## robotstxt 0.7.15

=== DESCRIPTION ===
Package: robotstxt
Date: 2024-08-25
Type: Package
Title: A 'robots.txt' Parser and 'Webbot'/'Spider'/'Crawler'
        Permissions Checker
Version: 0.7.15
Authors@R: c(
        person(
          "Pedro", "Baltazar", role = c("aut", "cre"),
          email = "pedrobtz@gmail.com"
        ),
        person(
          "Peter", "Meissner", role = c("aut"),
          email = "retep.meissner@gmail.com"
        ),
        person(
            "Kun", "Ren", email = "mail@renkun.me", role = c("aut", "cph"),
            comment = "Author and copyright holder of list_merge.R."
        ),
	    person("Oliver", "Keys", role = "ctb", comment = "original release code review"),
	    person("Rich", "Fitz John", role = "ctb", comment = "original release code review")
	  )
Description: Provides functions to download and parse 'robots.txt' files.
        Ultimately the package makes it easy to check if bots
        (spiders, crawler, scrapers, ...) are allowed to access specific
        resources on a domain.
License: MIT + file LICENSE
BugReports: https://github.com/ropensci/robotstxt/issues
URL: https://docs.ropensci.org/robotstxt/,
        https://github.com/ropensci/robotstxt
Imports: stringr (>= 1.0.0), httr (>= 1.0.0), spiderbar (>= 0.2.0),
        future.apply (>= 1.0.0), magrittr, utils
Suggests: knitr, rmarkdown, dplyr, testthat, covr, curl
Depends: R (>= 3.0.0)
VignetteBuilder: knitr
RoxygenNote: 7.2.3
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2024-08-25 07:16:34 UTC; pbtz
Author: Pedro Baltazar [aut, cre],
  Peter Meissner [aut],
  Kun Ren [aut, cph] (Author and copyright holder of list_merge.R.),
  Oliver Keys [ctb] (original release code review),
  Rich Fitz John [ctb] (original release code review)
Maintainer: Pedro Baltazar <pedrobtz@gmail.com>
Repository: CRAN
Date/Publication: 2024-08-29 17:00:01 UTC

## robotstxt 1.1.1

=== debian/changelog ===
robotstxt (1.1.1-0kali2) kali-dev; urgency=medium

  * Add a package for dev files

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 29 Jul 2020 11:24:15 +0200

robotstxt (1.1.1-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 28 Jul 2020 10:42:40 +0200

=== debian/control ===
Source: robotstxt
Section: devel
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev
Standards-Version: 4.5.0
Vcs-Browser: https://gitlab.com/kalilinux/packages/robotstxt
Vcs-Git: https://gitlab.com/kalilinux/packages/robotstxt.git
Homepage: https://github.com/temoto/robotstxt
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/temoto/robotstxt
Testsuite: autopkgtest-pkg-go

Package: robotstxt
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: robots.txt exclusion protocol implementation for Go language
 This package contains a robots.txt exclusion protocol implementation for Go
 language (golang).

Package: golang-github-temoto-robotstxt-dev
Architecture: all
Depends: ${misc:Depends}
Description: robots.txt exclusion protocol implementation for Go language
 This package contains a robots.txt exclusion protocol implementation for Go
 language (golang).
 .
 This package contains the dev files.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%robotstxt-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/temoto/robotstxt/tags .*/v?(\d\S*)\.tar\.gz debian

## robotstxt 1.1.2+git20221109.1.1fe1f4f

=== debian/changelog ===
robotstxt (1.1.2+git20221109.1.1fe1f4f-0kali1~jan+nus18) kali-bleeding-edge; urgency=low

  [ Kali Janitor ]
  * New upstream snapshot.

  [  ]
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Sun, 22 Jan 2023 03:59:55 -0000

robotstxt (1.1.2-0kali1) kali-dev; urgency=medium

  * New upstream release

 -- Steev Klimaszewski <steev@kali.org>  Fri, 28 Oct 2022 12:12:21 -0500
